org.gradle.nativeplatform.plugins

## Class NativeComponentModelPlugin

- java.lang.Object
- - org.gradle.nativeplatform.plugins.NativeComponentModelPlugin

- All Implemented Interfaces:
    Plugin<org.gradle.api.internal.project.ProjectInternal>

      @Incubating
      public class NativeComponentModelPlugin
      extends Object
      implements Plugin<org.gradle.api.internal.project.ProjectInternal>

  A plugin that sets up the infrastructure for defining native binaries.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeComponentModelPlugin(org.gradle.model.internal.registry.ModelRegistry modelRegistry, org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeComponentModelPlugin

          @Inject
          public NativeComponentModelPlugin(org.gradle.model.internal.registry.ModelRegistry modelRegistry,
                                           org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### apply

          public void apply(org.gradle.api.internal.project.ProjectInternal project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
      Parameters:
        `project` - The target object